summaryrefslogtreecommitdiffstats
path: root/utils/infra_setup/create_instances.sh
diff options
context:
space:
mode:
authorMatthewLi <matthew.lijun@huawei.com>2015-09-01 20:01:33 +0800
committerMatthewLi <matthew.lijun@huawei.com>2015-09-01 20:06:07 +0800
commitac6a9b61050d23a9c77c8796013902eb6841b497 (patch)
tree4b1d68768a36ea658920078212613a8bb08d2882 /utils/infra_setup/create_instances.sh
parent39ba6c919dfae8b2bfbf94874a1645f0357f712b (diff)
instance setup script
BOTTLENECK-5 Change-Id: I87384205a47b4b395a97756eba59d073e8bde9fc Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
Diffstat (limited to 'utils/infra_setup/create_instances.sh')
-rw-r--r--utils/infra_setup/create_instances.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/utils/infra_setup/create_instances.sh b/utils/infra_setup/create_instances.sh
new file mode 100644
index 00000000..5d238c35
--- /dev/null
+++ b/utils/infra_setup/create_instances.sh
@@ -0,0 +1,32 @@
+##############################################################################
+# Copyright (c) 2015 Huawei Technologies Co.,Ltd and others.
+# matthew.lijun@huawei.com
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+#! /usr/bin/env bash
+
+set -e
+
+THIS_DIR=`pwd`
+
+OPENRC_PATH=/opt/
+CREATE_INSTANCE_PATH=$THIS_DIR
+
+INSTANCE_NUM=3
+NET_ID=531c4557-7349-4984-8d5e-cceebb77205f
+FLAVOR_TYPE=m1.small
+IMAGE_ID=7c2f3e2b-cf6e-44ed-83ac-e87712167f9e
+SEC_GROUP=default
+INSTANCE_NAME=example_
+
+source $OPENRC_PATH/admin-openrc.sh
+cd $CREATE_INSTANCE_PATH
+for((count=1;count<=$INSTANCE_NUM;count++))
+do
+ INSTANCE_NAME_TMP=${INSTANCE_NAME}${count}
+ nova boot --nic net-id=${NET_ID} --flavor=${FLAVOR_TYPE} --image=${IMAGE_ID} --security_group=${SEC_GROUP} ${INSTANCE_NAME_TMP}
+done